/*
 * Mode.java
 * The package reservation contains the different class allowing to choose the action to realise.
 */

package reservation;
/**
 * This interface uniform the way to call each sub-class.
 * It calls the method process of the class CustomDialog or Command according to the instantiation of this interface.
 * Also it masks the machinery and helps the developer who want to reuse the program.
 * @author Texier Mathieu and Frederic Bidon
 */
 
public interface Mode{
    /**Integer defining the QUIET level of verbosity.*/
    static final public int QUIET = 1;
    /**Integer defining the NORMAL level of verbosity.*/
    static final public int NORMAL = 2;
    /**Integer defining the HIGH level of verbosity.*/
    static final public int HIGH = 3;
    /**Integer defining the DEBUG level of verbosity.*/
    static final public int DEBUG = 4;
    
    /**
     * Open the dialog mode
     */    
    public void process();
}
